For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
      • GETGet Organizations
      • POSTCreate Organization
      • GETGet Organization
      • DELRemove Organization
      • PATCHUpdate Organization
Logo
Log inBook a demo
API ReferenceOrganization

Remove Organization

DELETE
https://app.polytomic.com/api/organizations/:id
DELETE
/api/organizations/:id
$curl -X DELETE https://app.polytomic.com/api/organizations/248df4b7-aa70-47b8-a036-33ac447e668d \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -u "<username>:<password>"

Deletes an organization.

🚧 Requires partner key

This endpoint is only accessible using partner keys.

Partner callers cannot delete their own owner organization.

Was this page helpful?
Previous

Update Organization

Next

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"
Unique identifier of the organization.

Headers

X-Polytomic-VersionstringRequired

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error